## org.codehaus.groovy.grails.commons.spring
Class GrailsContextEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.codehaus.groovy.grails.commons.spring.GrailsContextEvent

All Implemented Interfaces:
  Serializable

    public class GrailsContextEvent

extends ApplicationEvent

An event object used to signal various events related to the Grails context loading

Since:
  1.0
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary
`static int` `DYNAMIC_METHODS_REGISTERED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GrailsContextEvent(WebApplicationContext ctx, int eventType)`

Method Summary
`int` `getEventType()`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DYNAMIC_METHODS_REGISTERED

    public static final int DYNAMIC_METHODS_REGISTERED

See Also:
  Constant Field Values

Constructor Detail

### GrailsContextEvent

    public GrailsContextEvent(WebApplicationContext ctx,
                              int eventType)

Method Detail

### getEventType

    public int getEventType()

Copyright (c) 2005-2009 The Grails project